const tipo = _req.getString('tipo')
const marca = _req.getString('marca')
const publica = _req.getBoolean('publica')

const arquivo = _req.getFile('arquivo-upload')

let dbTipo = _db.queryFirst(
    `SELECT * FROM tipo WHERE nome = ?`,
    tipo
)
if (!dbTipo) {
    const dbTipoId = _db.insert('tipo', _val.map().set('nome', tipo))
    dbTipo = _db.get('tipo', dbTipoId)
}

const dbMarcaId = _db.insertIfNotExists('marca', _val.map().set('nome', marca))

_db.insert(
    'veiculo',
    _val.map()
        .set('tipo_id', dbTipo.getInt('id'))
        .set('marca_id', dbMarcaId)
        .set('pode_publicar', publica)
)

_template.output(
    'salvar-resposta',
    _val.map()
        .set('tipo', tipo)
        .set('marca', marca)
        .set('publica', publica)
)
